## lighttpd 1.4.83%7esnap-20250924-214031-g5aa796

=== debian/changelog ===
lighttpd (1.4.83~snap-20250924-214031-g5aa796-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g5aa796
    + [systemd] add RestrictAddressFamilies AF_NETLINK
    + [TLS] skip cert_is_active warnings for unset clock
    + [multiple] rename plugin_data statics per module
    + [mod_mbedtls] mbedtls 4.x removes mbedtls/ecp.h
    + [mod_mbedtls] mbedtls 4.x removes ECDH ciph suites

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 24 Sep 2025 21:41:39 +0000

lighttpd (1.4.83~snap-20250913-081217-g564dd8-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g564dd8
    + [doc] NEWS
    + - next is 1.4.83

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 13 Sep 2025 08:12:29 +0000

lighttpd (1.4.82~snap-20250910-171517-g48c5d4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g48c5d4
    + [ci] Bump actions/checkout from 4 to 5
    + [core] avoid chunk mem reallocation on read/recv

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 10 Sep 2025 17:15:29 +0000

lighttpd (1.4.82~snap-20250909-070037-g299282-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g299282
    + [core] restrict request trailers to configured list
    + [core] fix logic inversion in "toupper:" modifier
    + [mod_redirect,mod_rewrite] ${authority.noport} tok
    + [cmake,mod_mbedtls] mbedx509 mbedcrypto order
    + [mod_mbedtls] psa_crypto_init() for MBEDTLS_USE_PSA_CRYPTO (fixes #3288)
    + [build] mod_mbedtls: use tfpsacrypto if found

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 09 Sep 2025 07:00:52 +0000

lighttpd (1.4.82~snap-20250817-070543-g985914-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g985914
    + [core] security: fix to reject disallowed trailers
    + [doc] NEWS
    + - next is 1.4.82

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 17 Aug 2025 07:05:56 +0000

lighttpd (1.4.81~snap-20250813-132008-g743d0b-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g743d0b
    + [doc] NEWS
    + - next is 1.4.81

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 13 Aug 2025 13:20:20 +0000

lighttpd (1.4.80~snap-20250813-130047-g8442ca-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g8442ca
    + [doc] command line -f - to read config from stdin (fixes #3286)
    + [h2] attempt to detect HTTP/2 MadeYouReset DoS

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 13 Aug 2025 13:01:03 +0000

lighttpd (1.4.80~snap-20250811-082623-gbae3fe-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gbae3fe
    + [core] connections_pool_clear() unless in jobqueue
    + [ci] run apt-get update on github ubuntu workflows
    + [ci] explicit compiler install on github ubuntu workflows
    + [mod_openssl] build against ancient openssl libs
    + [TLS] SSL error handling improvements
    + [mod_openssl] update lib version EOL warning
    + [mod_openssl] workaround OpenSSL 3 SSL_sendfile bug
    + [mod_wolfssl] check for WOLFSSL_SHUTDOWN_NOT_DONE
    + [TLS] skip SSL_shutdown after non-recoverable error
    + [mod_wolfssl] handle additional wolfssl socket err
    + [mod_mbedtls] mbedtls 4.x removes MBEDTLS_DHM_C
    + [mod_mbedtls] mbedtls 4.x PSA crypto handles RNG
    + [mod_mbedtls] mbedtls 4.x removes RSA key exch
    + [mod_mbedtls] mbedtls 4.x curve_info,list private
    + [mod_mbedtls] mbedtls 4.x makes oid private

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Mon, 11 Aug 2025 08:26:37 +0000

lighttpd (1.4.80~snap-20250709-215650-g9040a8-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g9040a8
    + [core] disable mmap for < QNX 8.0.0

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 09 Jul 2025 21:57:07 +0000

lighttpd (1.4.80~snap-20250623-154012-gf2ce91-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gf2ce91
    + [mod_setenv] quiet coverity noise

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Mon, 23 Jun 2025 15:40:25 +0000

lighttpd (1.4.80~snap-20250623-052528-g6e1da9-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g6e1da9
    + [core] http_chunk_decode_append_* code reuse
    + [h2] h2_send_headers_hoff() to reduce stack use
    + [core] stricter validate of trailers from backends
    + [core] check Transfer-Encoding: chunked from backends
    + [core] remove deprecated Expect-CT from enum
    + [core] http_header_str_contains_token() comment
    + [core] http_request_field_check_value() code reuse
    + [core] http_request_field_check_name() code reuse
    + [core] stricter validation of backend response
    + [mod_magnet] stricter validation of request/response
    + [h2] fill in hoff[] for ":status: XXX\r\n\r\n"
    + [core] simplify hoff[] access when hoff[1] == 0
    + [core] check HTTP/1.x field block fully consumed
    + [core] unfold fields in http_header_parse_hoff()
    + [h2] stricter validation of HTTP/2 trailers
    + [core] validate BACKEND_PROXY headers end w/ CRLF
    + [core] strict validate request headers end w/ CRLF
    + [core] fix stat_cache inotify for files in rootdir
    + [core] merge request trailers into request headers
    + [mod_staticfile] reject pathinfo on static files
    + [mod_setenv] warn if setenv.* incl invalid chars
    + [tests] trailers
    + [mod_proxy] sketch out streaming and trailers

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Mon, 23 Jun 2025 05:25:44 +0000

lighttpd (1.4.80~snap-20250611-065430-g883405-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g883405
    + [mod_boringssl] wipe tmp_buf used to decode pkey
    + [mod_boringssl] more generic pkey read from PEM
    + [mod_wolfssl] more generic pkey read from PEM
    + [mod_nss] more generic pkey read from PEM

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 11 Jun 2025 06:54:45 +0000

lighttpd (1.4.80~snap-20250604-191526-gf3b0dc-0.1) unstable; urgency=low

  * Non-maintainer upload.

