## lighttpd 1.4.83%7esnap-20251104-080022-g684048

=== debian/changelog ===
lighttpd (1.4.83~snap-20251104-080022-g684048-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Package rebuild

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 04 Nov 2025 08:09:18 +0000

lighttpd (1.4.83~snap-20251104-080022-g684048-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g684048
    + [h2] add comment about zero-length payloads in padded frames

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 04 Nov 2025 08:00:34 +0000

lighttpd (1.4.83~snap-20251104-053533-gfcf0f6-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gfcf0f6
    + [core] minor code tighten
    + [core] remove request_st member async_callback (unused)
    + [tests] t/test_http_status.c stub
    + [core] http_status_set_fin() handler_module = NULL
    + [mod_magnet] http_response_reset() before HANDLER_COMEBACK
    + [core] http_response_prepare() smaller funcs
    + [core] add continuation framework for response prep

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 04 Nov 2025 05:36:16 +0000

lighttpd (1.4.83~snap-20251031-184308-gdea55b-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot gdea55b
    + [core] clarify warning message
    + [multiple] http_status.[ch]
    + [core] single internal define for fs monitoring
    + [core] X-Sendfile shared code
    + [core] check for OTHER response headers earlier
    + [core] support Incremental header
    + [mod_magnet] resp_body_finished w/ r.resp_body:set()

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 31 Oct 2025 18:43:24 +0000
