## lighttpd 1.4.83%7esnap-20260113-172021-g22c59d

=== debian/changelog ===
lighttpd (1.4.83~snap-20260113-172021-g22c59d-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g22c59d
    + [build] support lua 5.5

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 13 Jan 2026 17:20:35 +0000

lighttpd (1.4.83~snap-20260113-064541-g27e031-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g27e031
    + [mod_extforward] HAProxy PROXY protocol extensions
    + [multiple] make most plugin objects instance-safe
    + [multiple] C99 designated initializers
    + [mod_auth] HTTP/2 response w/ multiple auth methods (fixes #3296)
    + [ci] Bump actions/cache from 4 to 5
    + [doc] add comment to lighttpd.service
    + [core] add .rst .xsl .xslt to builtin mimetype.assign (fixes #3295)

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 13 Jan 2026 06:45:56 +0000

lighttpd (1.4.83~snap-20251202-162532-ge4cea1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot ge4cea1
    + [multiple] quiet minor coverity warnings

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 02 Dec 2025 16:25:47 +0000

lighttpd (1.4.83~snap-20251202-070550-g128664-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g128664
    + [ci] Bump actions/checkout from 5 to 6 (#147)

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 02 Dec 2025 07:06:03 +0000

lighttpd (1.4.83~snap-20251202-070049-g37fe73-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * new snapshot g37fe73
    + [mod_magnet] revert recent HANDLER_COMEBACK change
    + [core] remove small bit of commented out code
    + [core] do not generate no-longer-used plugin funcs
    + [core] minor code tighten
    + [h2] fix HTTP/1.1 upgrade: h2c
    + [h2] combine h2c code into h2_upgrade_h2c()
    + [h2] disable HTTP/1.1 upgrade: h2c by default
    + [core] clear trailer whitelist at startup
    + [core] static_assert sanity check for 64-bit off_t
    + [core] security: missing return on non-default path
    + [mod_magnet] modify reqbody_length after file append
    + [mod_openssl] check openssl func for NULL if mem err
    + [mod_*_dbi] proceed if third reconnect retry succeeds
    + [mod_ajp13] skip empty string (len == 65535)
    + [mod_ajp13] error if backend include LF in headers
    + [mod_deflate] translate '/' in etag to '~' for fn
    + [mod_deflate] mod_deflate_finished() shared code
    + [mod_authn_gssapi] warn if principal not in config
    + [mod_authn_gssapi] mod_authn_gssapi_construct_sprinc()
    + [core] support Range for QUERY
    + [multiple] make most module config thread-safe
    + [ci] tune build on freebsd
    + [mod_mbedtls] EC certs require drbg init

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 02 Dec 2025 07:02:41 +0000
